Bug 490376 - cannot boot encrypted system off 2.6.27.19-170.2.35.fc10.i686 kernel
cannot boot encrypted system off 2.6.27.19-170.2.35.fc10.i686 kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-15 16:38 EDT by Jason Haar
Modified: 2009-12-18 04:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:01:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Haar 2009-03-15 16:38:07 EDT
Description of problem:

After yum-upgrading to 2.6.27.19-170.2.35.fc10.i686 and rebooting, I find I cannot run FC10! During the install of FC10 I chose the encrypt full disk option, so am prompted to unlock the LVM at boot time, but under 2.6.27.19-170.2.35.fc10.i686, it never prompts me.

Version-Release number of selected component (if applicable):

Fully updated system, so cryptsetup-luks-1.0.6-6.fc10.i386

How reproducible:

Every time. Cannot boot :-(

Steps to Reproduce:
1. reboot
2. cry
3.
  
Actual results:

Not prompted for password to unlock disk

Expected results:

prompted for password. Enter it. Unlock disk. Boot. Work.

Additional info:

I still have a couple of old kernels, and simply choosing the previous one (2.6.27.15-170.2.24.fc10.i686) allows me to successfully boot FC10. So it isn't a corrupted install - it's just a bug during the kernel boot.
Comment 1 Bug Zapper 2009-11-18 06:21:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:01:46 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.